Package org.eclipse.net4j.util.ui.widgets

# Class EntryControlAdvisor.ControlConfig

java.lang.Object
org.eclipse.net4j.util.ui.widgets.EntryControlAdvisor.ControlConfig

Enclosing class:
  EntryControlAdvisor

public static final class EntryControlAdvisor.ControlConfig extends Object

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Predicate<KeyEvent>`
`DEFAULT_OK_DETECTOR`

## Constructor Summary

Constructors
Constructor
Description
`ControlConfig()`
`ControlConfig(EntryControlAdvisor.ControlConfig source)`

## Method Summary

Modifier and Type
Method
Description
`Consumer<Control>`
`getModifyHandler()`
`Predicate<KeyEvent>`
`getOkDetector()`
`Consumer<Control>`
`getOkHandler()`
`void`
`setModifyHandler(Consumer<Control> modifyHandler)`
`void`
`setOkDetector(Predicate<KeyEvent> okDetector)`
`void`
`setOkHandler(Consumer<Control> okHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_OK_DETECTOR

public static final Predicate<KeyEvent> DEFAULT_OK_DETECTOR

## Constructor Details

### ControlConfig

public ControlConfig()

### ControlConfig

public ControlConfig(EntryControlAdvisor.ControlConfig source)

## Method Details

### getOkDetector

public Predicate<KeyEvent> getOkDetector()

### setOkDetector

public void setOkDetector(Predicate<KeyEvent> okDetector)

### getOkHandler

public Consumer<Control> getOkHandler()

### setOkHandler

public void setOkHandler(Consumer<Control> okHandler)

### getModifyHandler

public Consumer<Control> getModifyHandler()

### setModifyHandler

public void setModifyHandler(Consumer<Control> modifyHandler)